package com.zcloud.service.bus.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.agency.AgentNumberMapper;
import com.zcloud.service.bus.AgentNumberService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：代理人创建公司数量
 * 作者：luoxiaobao
 * 时间：2022-03-07
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class AgentNumberServiceImpl implements AgentNumberService {

	@Autowired
	private AgentNumberMapper agentnumberMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		agentnumberMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		agentnumberMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		agentnumberMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return agentnumberMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return agentnumberMapper.listAll(pd);
	}
	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listRoleAgentAll(PageData pd)throws Exception{
		return agentnumberMapper.listRoleAgentAll(pd);
	}

	/**查询代理人所有分组可创建企业数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getRoleAgentNumList(PageData pd)throws Exception{
		return agentnumberMapper.getRoleAgentNumList(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return agentnumberMapper.findById(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByRoleAgent(PageData pd)throws Exception{
		return agentnumberMapper.findByRoleAgent(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		agentnumberMapper.deleteAll(ArrayDATA_IDS);
	}

	/**删除某代理所有剩余创建企业数
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByUser(PageData pd)throws Exception{
		agentnumberMapper.deleteByUser(pd);
	}

	/**剩余数量及删除状态
	 * @param pd
	 * @throws Exception
	 */
	public void editNum(PageData pd)throws Exception{
		agentnumberMapper.editNum(pd);
	}
}

